{
  description = "Example devshell using the tritonshell nix module";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";

    flake-utils.url = "github:numtide/flake-utils";

    devshell.url = "github:numtide/devshell";
    devshell.inputs.flake-utils.follows = "flake-utils";
    devshell.inputs.nixpkgs.follows = "nixpkgs";

    tritonshell-module.url = "git+https://git.greenbaum.cloud/dev/tritonshell?ref=main";
    tritonshell-module.inputs.devshell.follows = "devshell";
    tritonshell-module.inputs.flake-utils.follows = "flake-utils";
    tritonshell-module.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs = { self, flake-utils, devshell, tritonshell-module, nixpkgs }:
    flake-utils.lib.simpleFlake {
      inherit self nixpkgs;
      name = "infra-project";
      preOverlays = [ devshell.overlay ];
      shell = { pkgs }:
        pkgs.devshell.mkShell {
          imports = [ tritonshell-module.devshellModules.x86_64-linux.tritonshell ];
          # Now the tritonshell environment nix module options are available
          environment = {
            enable = true;
            # CUSTOMIZE if desired, default options are:
            #cnsBaseDomain = "greenbaum.zone";
            #dataCenters = [ "cgn-1" "lev-1" ];
            #mantaDomain = "eu-central.manta.greenbaum.cloud";
            #tritonApiDomain = "api.greenbaum.cloud";
          };

          # Add additional packages you'd like to be available in your devshell
          # PATH here
          devshell.packages = with pkgs; [
            #nodejs
          ];
        };
    };
}
